Package org.eclipse.emf.compare.rcp.ui

## Class EMFCompareRCPUIPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.emf.compare.rcp.ui.EMFCompareRCPUIPlugin

All Implemented Interfaces:
  `BundleActivator`

    public class EMFCompareRCPUIPlugin
    extends org.eclipse.ui.plugin.AbstractUIPlugin

The activator class controls the plug-in life cycle.

Since:
  3.0

### Field Summary

Fields
`static String` `ACCESSOR_FACTORY_PPID`
`static String` `DIFFERENCE_GROUP_EXTENDER_PPID`
`static String` `FILTER_PROVIDER_PPID`
`static String` `GROUP_PROVIDER_PPID`
`static String` `PLUGIN_ID` The plug-in ID.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
`EMFCompareRCPUIPlugin()` The constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `disposeCachedImages()` dispose system resources associated with cached images.
`static void` `disposeImage​(String id)` Dispose image with the given id.
`IAccessorFactory.Registry` `getAccessorFactoryRegistry()`
`ContentMergeViewerCustomizationRegistry` `getContentMergeViewerCustomizationRegistry()` Returns the registry containing all known content merge viewer customizations.
`static EMFCompareRCPUIPlugin` `getDefault()` Returns the shared instance.
`DifferenceFilterManager` `getDifferenceFilterManager()`
`IDifferenceFilter.Registry` `getDifferenceFilterRegistry()`
`IDifferenceGroupExtender.Registry` `getDifferenceGroupExtenderRegistry()`
`IDifferenceGroupProvider.Descriptor.Registry` `getDifferenceGroupProviderRegistry()`
`static org.eclipse.swt.graphics.Image` `getImage​(String imagePath)` returns a plugin image.
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor​(String imagePath)` returns a plugin image descriptor.
`IItemRegistry<IDifferenceGroupProvider.Descriptor>` `getItemDifferenceGroupProviderRegistry()`
`Map<String,​IConfigurationUIFactory>` `getMatchEngineConfiguratorRegistry()` Get the Match Engine Configurator Registry
`org.eclipse.jface.preference.IPreferenceStore` `getPreferenceStore()` Provide this plug-in's preference store, which searches values in `InstanceScope`, then `ConfigurationScope`, and then `DefaultScope`.
`void` `log​(int severity, String message)` Log the given message with the give severity level.
`void` `log​(Throwable e)` Log an `Exception` in the `current logger`.
`void` `start​(BundleContext context)`
`void` `stop​(BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

The plug-in ID.

See Also:
  Constant Field Values

#### GROUP_PROVIDER_PPID

    public static final String GROUP_PROVIDER_PPID

See Also:
  Constant Field Values

#### FILTER_PROVIDER_PPID

    public static final String FILTER_PROVIDER_PPID

See Also:
  Constant Field Values

#### ACCESSOR_FACTORY_PPID

    public static final String ACCESSOR_FACTORY_PPID

See Also:
  Constant Field Values

#### DIFFERENCE_GROUP_EXTENDER_PPID

    public static final String DIFFERENCE_GROUP_EXTENDER_PPID

Since:
  4.0
See Also:
  Constant Field Values

### Constructor Detail

#### EMFCompareRCPUIPlugin

    public EMFCompareRCPUIPlugin()

The constructor.

### Method Detail

#### start

    public void start​(BundleContext context)
               throws Exception

Specified by:
  `start` in interface `BundleActivator`
Overrides:
  `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `Exception`

#### stop

    public void stop​(BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Overrides:
  `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `Exception`

#### getDefault

    public static EMFCompareRCPUIPlugin getDefault()

Returns the shared instance.

Returns:
  the shared instance

#### log

    public void log​(Throwable e)

Log an `Exception` in the `current logger`.

Parameters:
  `e` - the exception to be logged.

#### log

    public void log​(int severity,
                    String message)

Log the given message with the give severity level. Severity is one of `IStatus.INFO`, `IStatus.WARNING` and `IStatus.ERROR`.

Parameters:
  `severity` - the severity of the message
  `message` - the message

#### getDifferenceGroupProviderRegistry

    public IDifferenceGroupProvider.Descriptor.Registry getDifferenceGroupProviderRegistry()

Returns:
  the groupProviderRegistry
Since:
  4.0

#### getItemDifferenceGroupProviderRegistry

    public IItemRegistry<IDifferenceGroupProvider.Descriptor> getItemDifferenceGroupProviderRegistry()

Returns:
  the item registry for group providers.
Since:
  4.0

#### getDifferenceFilterRegistry

    public IDifferenceFilter.Registry getDifferenceFilterRegistry()

Since:
  4.0

#### getDifferenceFilterManager

    public DifferenceFilterManager getDifferenceFilterManager()

Returns:
  The Difference Filter manager.
Since:
  4.0

#### getAccessorFactoryRegistry

    public IAccessorFactory.Registry getAccessorFactoryRegistry()

Returns:
  the registry

#### getDifferenceGroupExtenderRegistry

    public IDifferenceGroupExtender.Registry getDifferenceGroupExtenderRegistry()

Returns:
  the sub tree registry
Since:
  4.0

#### getContentMergeViewerCustomizationRegistry

    public ContentMergeViewerCustomizationRegistry getContentMergeViewerCustomizationRegistry()

Returns the registry containing all known content merge viewer customizations.

Returns:
  the `ContentMergeViewerCustomizationRegistry` containing all known content merge viewer customizations.
Since:
  4.4

#### getImage

    public static org.eclipse.swt.graphics.Image getImage​(String imagePath)

returns a plugin image. The returned image does not need to be explicitly disposed.

Parameters:
  `imagePath` - : plugin relative path to the image
Returns:
  Image : plugin hosted image

#### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor​(String imagePath)

returns a plugin image descriptor.

Parameters:
  `imagePath` - : plugin relative path to the image
Returns:
  ImageDescriptor : image descriptor.

#### disposeImage

    public static void disposeImage​(String id)

Dispose image with the given id.

Parameters:
  `id` - : dispose system resources associated with the image with the given id.

#### disposeCachedImages

    public static void disposeCachedImages()

dispose system resources associated with cached images.

#### getMatchEngineConfiguratorRegistry

    public Map<String,​IConfigurationUIFactory> getMatchEngineConfiguratorRegistry()

Get the Match Engine Configurator Registry

Returns:
  Map<String, IConfigurationUIFactory>
Since:
  4.0

#### getPreferenceStore

    public org.eclipse.jface.preference.IPreferenceStore getPreferenceStore()

Provide this plug-in's preference store, which searches values in `InstanceScope`, then `ConfigurationScope`, and then `DefaultScope`.

Overrides:
  `getPreferenceStore` in class `org.eclipse.ui.plugin.AbstractUIPlugin`